Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface CategoryHome

public interface CategoryHome
extends BaseHome

Category EJB home implementation.

Method Summary
`Category` | `create(CategoryPK pk)` Create the category.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal name.
`Category` | `findByPrimaryKey(CategoryPK pk)` Find the category by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public Category create(CategoryPK pk)
                    throws javax.ejb.CreateException,
                           java.rmi.RemoteException

  Create the category.
  Parameters:
    `pk` - the category primary key.
  Returns:
    `Category` the created category.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - the remote exception.

### findByPrimaryKey

    public Category findByPrimaryKey(CategoryPK pk)
                              throws javax.ejb.FinderException,
                                     java.rmi.RemoteException

  Find the category by primary key.
  Parameters:
    `pk` - the category primary key.
  Returns:
    `Category` the category.
  Throws:
    `FinderException` - thrown if not found.
    `RemoteException` - container exception.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal name.
  Parameters:
    `aPortalName` - the portal name.
  Returns:
    `Enumeration` all of the categories that match to the portalName.
  Throws:
    `FinderException` - thrown if not found.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved